%global _empty_manifest_terminate_build 0
Name:           python-semantic_version
Version:        2.10.0
Release:        1
Summary:        Plugin for implementing the semantic version
License:        BSD-2-Clause
URL:            https://github.com/rbarrois/python-semanticversion
Source0:        https://files.pythonhosted.org/packages/7d/31/f2289ce78b9b473d582568c234e104d2a342fd658cc288a7553d83bb8595/semantic_version-2.10.0.tar.gz
BuildArch:      noarch

%description
This small python library provides a few tools to handle semantic versioning in Python.

%package -n python3-semantic_version
Summary:        Plugin for implementing the semantic version
Provides:       python-semantic_version
# Base build requires
BuildRequires:  python3-devel python3-pytest
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel

%description -n python3-semantic_version
This small python library provides a few tools to handle semantic versioning in Python.

%package help
Summary:        Documentation for python-semantic_version
BuildRequires:  python3-sphinx
Provides:       python3-semantic_version-doc

%description help
This small python library provides a few tools to handle semantic versioning in Python.

%prep
%autosetup -n semantic_version-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
/usr/bin/pytest

%files -n python3-semantic_version -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Apr 10 2023 liyanan <thistleslyn@163.com> - 2.10.0-1
- Upgrade package to version 2.10.0

* Fri Jun 17 2022 liukuo <liukuo@kylinos.cn> - 2.8.5-2
- License compliance rectification

* Fri Aug 06 2021 OpenStack_SIG <openstack@openeuler.org> - 2.8.5-1
- Upgrade version to 2.8.5

* Wed Oct 21 2020 zhanghua <zhanghua40@huawei.com> - 2.6.0-10
- remove python2 subpackage

* Mon Jan 13 2020 Lei Zhang <ricky.z@huawei.com> - 2.6.0-9
- remove django build depend

* Thu Jan 09 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.6.0-8
- Package init
